View Issue Details

IDProjectCategoryView StatusLast Update
0000368luatexfeature requestpublic2010-04-03 18:01
ReporterHans HagenAssigned Tohhenkel 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version0.70.0Fixed in Version0.60.0 
Summary0000368: pdfpageresources cum suis
Descriptionwe still miss:

pdf.pageresources
pdf.pageattributes
pdf.pagesattributes

remarks:

- no need for the attr shortcut in the name
- other functions / assignments in the pdf namespace should be renamed, so

pdf.pdfinfo -> pdf.info
pdf.pdfcatalog -> pdf.catalog
pdf.pdfnames -> pdf.names

etc
TagsNo tags attached.

Activities

hhenkel

2010-04-02 12:15

manager   ~0000521

r3567 | hhenkel | 2010-04-02 12:07:12 +0200 (Fr, 02. Apr 2010) | 9 lines

fix part of Subject: [luatex 0000368]: pdfpageresources cum suis
pdf.pdfcatalog = pdf.catalog
pdf.pdfinfo = pdf.info
pdf.pdfmapfile = pdf.mapfile
pdf.pdfmapline = pdf.mapline
pdf.pdfnames = pdf.names
pdf.pdftrailer = pdf.trailer
(docu tbd)

hhenkel

2010-04-02 13:45

manager   ~0000522

Last edited: 2010-04-02 13:51

View 3 revisions

pdf.pageresources
pdf.pageattributes
pdf.pagesattributes

No idea yet how to fix this:

The \pdfinfo, \pdfcatalog, \pdfnames, and \pdftrailer are in extension.w, they are commands and produce token lists in global token registers. One can't assign to these as if they were token registers, e. g., \pdfinfo={...} gives an error. Also \the\pdfinfo doesn't work.

The \pdfpageresources, \pdfpageattr, and \pdfpagesattr in commands.w instead are real token registers that obey grouping and can also be read out by \the.

This looks a bit inconsistent. Also, as the lua assignments are intrinsically global, it would give some mix between global and local assignments for pdf.pageresources, pdf.pageattributes, and pdf.pagesattributes.

Hans Hagen

2010-04-02 13:56

manager   ~0000523

can't we have two parallel mechanisms ? i.e.

pdf.pageresources("...")
pdf.pageattribute("...")
pdf.pagesattribute("...")

sets them and keep that setting till

pdf.pageresources("") etc

then, you just add the tex blob as well as the lua string to the right object

so, keep 'm independent and \the\... does not have to report the lua string and vise versa

Hans

hhenkel

2010-04-02 16:24

manager   ~0000524

should be fixed with svn 3573.

the variables work independently from the tex token registers and are written out after them, see above note from Hans.

Issue History

Date Modified Username Field Change
2010-04-01 16:58 Hans Hagen New Issue
2010-04-01 16:58 Hans Hagen Status new => assigned
2010-04-01 16:58 Hans Hagen Assigned To => hhenkel
2010-04-02 12:15 hhenkel Note Added: 0000521
2010-04-02 13:45 hhenkel Note Added: 0000522
2010-04-02 13:50 hhenkel Note Edited: 0000522 View Revisions
2010-04-02 13:51 hhenkel Note Edited: 0000522 View Revisions
2010-04-02 13:56 Hans Hagen Note Added: 0000523
2010-04-02 16:24 hhenkel Note Added: 0000524
2010-04-03 17:59 Taco Status assigned => resolved
2010-04-03 17:59 Taco Resolution open => fixed
2010-04-03 18:00 Taco Fixed in Version => 0.60.0
2010-04-03 18:01 Taco Status resolved => closed